psychopy.org | Reference | Downloads | Github

Error at launch in Ubuntu 18.04

Dear all,

I just installed PsychoPy on Ubuntu 18.04 with python 2.7 using

pip install psychopy

sudo pip install ~/Scaricati/wxPython-4.0.7.post2-cp27-cp27mu-linux_x86_64.whl

but when I launch PsychoPy from the terminal I get

16:44:39: Debug: Adding duplicate image handler for 'Windows bitmap file'
16:44:39: Debug: Adding duplicate image handler for 'Windows bitmap file'
16:44:39: Debug: Adding duplicate image handler for 'Windows bitmap file'
Traceback (most recent call last):
  File "/home/lorenzo/.local/bin/psychopy", line 11, in <module>
    load_entry_point('PsychoPy==3.2.4', 'gui_scripts', 'psychopy')()
  File "/home/lorenzo/.local/lib/python2.7/site-packages/psychopy/app/psychopyApp.py", line 100, in main
    start_app()
  File "/home/lorenzo/.local/lib/python2.7/site-packages/psychopy/app/psychopyApp.py", line 28, in start_app
    app = PsychoPyApp(0, showSplash=showSplash)
  File "/home/lorenzo/.local/lib/python2.7/site-packages/psychopy/app/_psychopyApp.py", line 182, in __init__
    self.onInit(testMode=testMode, **kwargs)
  File "/home/lorenzo/.local/lib/python2.7/site-packages/psychopy/app/_psychopyApp.py", line 218, in onInit
    from psychopy.app import coder, builder, dialogs
  File "/home/lorenzo/.local/lib/python2.7/site-packages/psychopy/app/coder/__init__.py", line 9, in <module>
    from .coder import *  # pylint: disable=W0401
  File "/home/lorenzo/.local/lib/python2.7/site-packages/psychopy/app/coder/coder.py", line 22, in <module>
    import psychopy.app.pavlovia_ui.menu
  File "/home/lorenzo/.local/lib/python2.7/site-packages/psychopy/app/pavlovia_ui/__init__.py", line 19, in <module>
    from .functions import *
  File "/home/lorenzo/.local/lib/python2.7/site-packages/psychopy/app/pavlovia_ui/functions.py", line 13, in <module>
    from ._base import PavloviaMiniBrowser, PavloviaCommitDialog
  File "/home/lorenzo/.local/lib/python2.7/site-packages/psychopy/app/pavlovia_ui/_base.py", line 9, in <module>
    import wx.html2
  File "/usr/local/lib/python2.7/dist-packages/wx/html2.py", line 15, in <module>
    from ._html2 import *
ImportError: libwebkitgtk-3.0.so.0: impossibile aprire il file oggetto condiviso: File o directory non esistente

(the last line reads: impossible to open the shared object file: non existent file or directory)

If I try to install libwebkitgtk-3.0.so.0 with apt I get “impossible to find the package”.

I guess I’m just making some noob mistake.

Thanks in advance for any help.

Lorenzo